#!/bin/bash
# Script to run make install with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

B=$PWD
D=_install
bootdir=/boot

do_buildstep_prepend

log_exec install -d ${D}${bootdir}
log_exec install -m 644 ${B}/u-boot.bin ${D}${bootdir}/u-boot-${machine}.bin
log_exec install -m 644 ${B}/u-boot-nodtb.bin ${D}${bootdir}/u-boot-nodtb-${machine}.bin
log_exec install -m 644 ${B}/u-boot-dtb.bin ${D}${bootdir}/u-boot-dtb-${machine}.bin
log_exec install -m 644 ${B}/spl/u-boot-spl.bin ${D}${bootdir}/u-boot-spl-${machine}.bin

do_buildstep_append
